> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Permanently delete a secret by its ID. This action cannot be undone.

# Delete a secret



## OpenAPI

````yaml /v1-openapi.yaml DELETE /v1/secrets/{secret_id}
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets/{secret_id}:
    delete:
      summary: Delete a secret
      description: Delete a secret from the organization.
      operationId: delete_secret_v1_secrets__secret_id__delete
      parameters:
        - in: path
          name: secret_id
          required: true
          schema:
            title: Secret Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DeleteSecretResponse:
      description: Response for successful secret deletion.
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: DeleteSecretResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````